zdump(8)

NOME
zdump - informa sui fusi orari

SINTASSI
zdump [ opzione ... ] [ fuso ... ]

DESCRIZIONE
Il programma zdump stampa l'ora attuale in ciascun fuso menzionato sulla riga di comando. Un fuso pari a - viene trattato come se fosse /dev/stdin; che può essere usato per comunicare tramite pipe a i dati TZif a zdump.

OPZIONI

--version
    Mostra le informazioni sulla versione ed esce.

--help
    Mostra sinteticamente l'uso ed esce.

-i  Dà una descrizione degli intervalli orari. Per ogni fuso sulla riga di comando, stampa una descrizione in formato intervallo del fuso oraro. Si veda "FORMATO INTERVALLO" sotto.

-v  Stampa una descrizione prolissa di tutti gli intervalli orari. Per ogni fuso sulla riga di comando, stampa l'orario ai due estremi, l'orario (se presente) allo scadere degli anni che localtime(3) e gmtime(3) possono rappresentare, l'orario esatto ed un secondo prima di ogni discontinuità. Ogni linea è seguita rispettivamente da isdst=D dove D è positivo, zero o negativo a seconda che l'orario sia relativo a ora legale, standard o sconosciuto. Ogni linea è anche seguita da gmtoff=N se l'orario dato è risaputamente N secondi ad est di Greenwich.

-V  È come -v, ma omette i risultati concernenti i valori estremi di orario e anno. Ciò genera risultati più facili da confrontare con quelli di implementazioni con differenti rappresentazioni orarie.

-c [anno_più_basso,]anno_più_alto
    Limita il risultato agli anni indicati. Gli anni da delimitare sono calcolati usando il calendario gregoriano prolettico con l'anno 0 e con l'Universal Time (UT) senza il secondo intercalare. I limiti sono all'inizio di ogni anno, dove la marca temporale del limite più basso viene inclusa e quella del limite più alto è esclusa; per esempio -c 1970,2070 seleziona le transizioni a decorrere dal 1970-01-01 00:00:00 UTC e prima del 2070-01-01 00:00:00 UTC. L'intervallo predefinito è -500,2500.

-t [orario_più_basso,]orario_più_alto
    Limita il risultato agli orari indicati, espressi in secondi decimali a partire dal tempo UTC (Coordinated Universal Time) 1970-01-01 00:00:00. Il fuso determina se l'intervallo include il secondo intercalare. Come per -c, il limite più basso è incluso e il più alto è escluso.

FORMATO DI INTERVALLO
Il formato d'intervallo è una rappresentazione testuale compatta fatta per essere leggibile sia dall'uomo che dalla macchina. Consiste di una riga vuota, quindi una riga dove stringa è una stringa tra doppi apici che indica la zona del fuso, una seconda riga che descrive l'intervallo di tempo prima della prima transizione, se ce n'è una, e zero o più righe una riga per ogni tempo di transizione e intervallo seguente. I campi sono separati da singole tabulazioni.

Le date sono nel formato aaaa-mm-gg (anno mese giorno) e le ore sono nel formato 24 ore .hh:mm:ss dove hh<24. Le ore sono in ore locali immediatamente dopo la transizione. Una descrizione dell'intervallo di tempo consiste in uno scostamento UT in formato ±hhmmss con segno, un'abbreviazione di zona e un indicatore isdst. Viene omessa un'abbreviazione che eguaglia lo scostamento UT; altre abbreviazioni sono stringhe tra doppi apici a meno che non consistano di uno o più caratteri alfabetici. Per l'ora solare l'indicazione isdst è omessa, altrimenti è un numero intero senza segno e positivo (solitamente 1) per l'ora legale e negativo per l'ora di tipo non riconosciuto.

In orari e scostamenti UT con valori assoluti inferiori a 100 ore, i secondi vengono omessi se sono zero, e anche i minuti zero vengono omessi. Scostamenti UT positivi sono a est di Greenwich. Lo scostamento UT -00 denota un segnaposto UT in aree in cui il reale scostamento non è specificato; per convenzione, ciò accade quando lo scostamento UT è zero e l'abbreviazione di zona inizia con o è

In stringhe tra doppi apici, le sequenze di protezione rappresentano caratteri non usuali. Le sequenze di protezione sono \s per lo spazio, e \", \\, \f, \n, \r, \t e \v col significato del linguaggio di programmazione C. Per esempio, la stringa tra virgolette “"CET\s\"\\"” rappresenta la sequenza di caratteri “CET "\”.

Qui c'è un esempio dell'output, con omessa la prima riga vuota. (Questo esempio è mostrato con intervalli di tabulazione sufficientemente ampi da tenere le colonne allineate.)

TZ="Pacific/Honolulu"
-	-	-103126	LMT
1896-01-13	12:01:26	-1030	HST
1933-04-30	03	-0930	HDT	1
1933-05-21	11	-1030	HST
1942-02-09	03	-0930	HWT	1
1945-08-14	13:30	-0930	HPT	1
1945-09-30	01	-1030	HST
1947-06-08	02:30	-10	HST

Qui, l'orario locale inizia 10 ore, 31 minuti e 26 secondi a ovest di UT, ed è un orario standard abbreviato LMT. Immediatamente dopo la prima transizione, la data è 1896-01-13 e l'ora è 12:01:26, e il seguente intervallo di tempo è 10.5 ore a ovest di UT, orario standard abbreviato HST. Immediatamente dopo la seconda transizione, la data è 1933-04-30 e l'ora è 03:00:00 e il seguente intervallo di tempo è 9.5 ore a ovest di UT, è abbreviato HDT, ed è l'ora legale. Immediatamente dopo l'ultima transizione la data è 1947-06-08 e l'ora è 02:30:00, e il seguente intervallo di tempo è 10 ore a ovest di UT, l'orario standard abbreviato è HST.

Qui ci sono degli stralci da altri esempi:

TZ="Europe/Astrakhan"
-	-	+031212	LMT
1924-04-30	23:47:48	+03
1930-06-21	01	+04
1981-04-01	01	+05		1
1981-09-30	23	+04
...
2014-10-26	01	+03
2016-03-27	03	+04

Questa zona è a est di UT, quindi gli scostamenti da UT sono positivi. Inoltre, molte delle abbreviazioni di zona vengono omesse poiché duplicano il testo dello scostamento UT.

LIMITAZIONI
Le discontinuità temporali vengono trovate campionando i risultati restituiti da localtime(3) a intervalli di dodici ore. Questo funziona in tutti i casi concreti; è possibile costruire zone di fuso orario artificiali per le quali non funziona.

Nel risultato di -v e -V, indica il valore restituito da gmtime(3), che usa UTC per le moderne marche orarie e qualche altra varietà di UT per marche orarie che precedono l'introduzione di UTC. Ad oggi non è stato fatto alcun tentativo per avere nel risultato per le nuove marche temporali e per quelle più vecchie, in parte perché la data esatta dell'introduzione dell'UTC è problematica.

VEDERE ANCHE
tzfile(5), zic(8)

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Ottavio G. Rizzo <rizzo@pluto.linux.it>, Giulio Daprelà <giulio@pluto.it>, Beatrice Torracca <beatricet@libero.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.